org.codehaus.groovy.tools.javac

## Class JavacJavaCompiler

- java.lang.Object
- - org.codehaus.groovy.tools.javac.JavacJavaCompiler

- All Implemented Interfaces:
    JavaCompiler

      public class JavacJavaCompiler
      extends java.lang.Object
      implements JavaCompiler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavacJavaCompiler(CompilerConfiguration config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `compile(java.util.List<java.lang.String> files, CompilationUnit cu)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavacJavaCompiler

          public JavacJavaCompiler(CompilerConfiguration config)

  - ### Method Detail

    - #### compile

          public void compile(java.util.List<java.lang.String> files,
                     CompilationUnit cu)

      Specified by:
        `compile` in interface `JavaCompiler`